org.apache.lucene.analysis.core

## Class UpperCaseFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.core.UpperCaseFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class UpperCaseFilterFactory
      extends TokenFilterFactory
      implements MultiTermAwareComponent

  Factory for `UpperCaseFilter`.

       <fieldType name="text_uppercase" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.UpperCaseFilterFactory"/>
         </analyzer>
       </fieldType>

  NOTE: In Unicode, this transformation may lose information when the upper case character represents more than one lower case character. Use this filter when you require uppercase tokens. Use the `LowerCaseFilterFactory` for general search matching

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpperCaseFilterFactory(Map<String,String> args)` Creates a new UpperCaseFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpperCaseFilter` | `create(TokenStream input)` Transform the specified input TokenStream
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpperCaseFilterFactory

          public UpperCaseFilterFactory(Map<String,String> args)

      Creates a new UpperCaseFilterFactory

  - ### Method Detail

    - #### create

          public UpperCaseFilter create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.